Aller au contenu
Sur cette page

WebhookSubscription

Webhook subscriptions, event catalog, test deliveries, and logs

List webhook subscriptions

GET /api/v1/webhooks

Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.

Paramètres

Nom Emplacement Type Requis Description
event query string non
active query string non
per_page query string non

Réponses

Statut Description
200 For non-paginated data, return as before

Exemple de requête

curl -X GET "https://app.encryptinvoice.com/api/v1/webhooks" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json"

Create webhook subscription

POST /api/v1/webhooks

Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.

Corps de la requête

Champ Type Requis Description
url string oui
secret string non
description string non
events array oui

Réponses

Statut Description
201 For non-paginated data, return as before
422

Exemple de requête

curl -X POST "https://app.encryptinvoice.com/api/v1/webhooks" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "string",
    "secret": "string",
    "description": "string",
    "events": []
}'

Get available webhook events

GET /api/v1/webhooks/events

Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.

Réponses

Statut Description
200 For non-paginated data, return as before

Exemple de requête

curl -X GET "https://app.encryptinvoice.com/api/v1/webhooks/events" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json"

Get webhook subscription details

GET /api/v1/webhooks/{id}

Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.

Paramètres

Nom Emplacement Type Requis Description
id path integer oui

Réponses

Statut Description
200 For non-paginated data, return as before

Exemple de requête

curl -X GET "https://app.encryptinvoice.com/api/v1/webhooks/{id}" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json"

Update webhook subscription

PUT /api/v1/webhooks/{id}

Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.

Paramètres

Nom Emplacement Type Requis Description
id path integer oui

Corps de la requête

Champ Type Requis Description
url string non
is_active boolean non
description string non
events array non

Réponses

Statut Description
200 For non-paginated data, return as before
422

Exemple de requête

curl -X PUT "https://app.encryptinvoice.com/api/v1/webhooks/{id}" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "string",
    "is_active": true,
    "description": "string",
    "events": []
}'

Delete webhook subscription

DELETE /api/v1/webhooks/{id}

Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.

Paramètres

Nom Emplacement Type Requis Description
id path integer oui

Réponses

Statut Description
200 For non-paginated data, return as before

Exemple de requête

curl -X DELETE "https://app.encryptinvoice.com/api/v1/webhooks/{id}" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json"

Get webhook delivery logs

GET /api/v1/webhooks/{id}/logs

Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.

Paramètres

Nom Emplacement Type Requis Description
id path integer oui

Réponses

Statut Description
200 For non-paginated data, return as before

Exemple de requête

curl -X GET "https://app.encryptinvoice.com/api/v1/webhooks/{id}/logs" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json"

Test webhook subscription

POST /api/v1/webhooks/{id}/test

Nécessite une authentification (jeton Bearer) et l’en-tête X-Organization-Id.

Paramètres

Nom Emplacement Type Requis Description
id path integer oui

Réponses

Statut Description
500
200 For non-paginated data, return as before

Exemple de requête

curl -X POST "https://app.encryptinvoice.com/api/v1/webhooks/{id}/test" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "X-Organization-Id: {{organization_id}}" \
  -H "Accept: application/json"

Nous utilisons des cookies et des analyses respectueuses de la vie privée

Nous utilisons des cookies essentiels pour l'authentification et des analyses respectueuses de la vie privée (auto-hébergées, respectent Do Not Track). Aucun suivi publicitaire ou tiers. En savoir plus dans notre Politique de confidentialité